<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results" kind="group">
    <compoundname>group_hal_results</compoundname>
    <title>Result Codes</title>
    <innergroup refid="group__group__hal__results__adc">ADC HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__clock">Clock HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__comp">Comparator HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__crc">CRC HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__dac">DAC HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__dma">DMA HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__ezi2c">EZI2C HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__flash">Flash HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__hwmgr">HWMGR HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__i2c">I2C HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__i2s">I2S HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__interconnect">Interconnect HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__lptimer">LPTimer HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__opamp">Opamp HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__pdmpcm">PDM/PCM HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__pwm">PWM HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__qspi">QSPI HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__quaddec">Quadrature Decoder HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__rtc">RTC HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__sdhc">SDHC HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__sdio">SDIO HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__spi">SPI HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__syspm">SYSPM HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__timer">Timer HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__trng">TRNG HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__uart">UART HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__usbdev">USB Device HAL Results</innergroup>
    <innergroup refid="group__group__hal__results__wdt">WDT HAL Results</innergroup>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__results_1ga84f32ecb6376e2088d4f048e35f52005" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_rslt_module_chip</name>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005aa31caff90dfe21b862ea4c4d034208b6" prot="public">
          <name>CYHAL_RSLT_MODULE_HWMGR</name>
          <initializer>= (0x01 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in hardware management module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5d2be4eb2e87e5d4f89f4b01cc69abc1" prot="public">
          <name>CYHAL_RSLT_MODULE_ADC</name>
          <initializer>= (0x02 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in ADC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5664ced7d9350688ae8eccad08477747" prot="public">
          <name>CYHAL_RSLT_MODULE_CLOCK</name>
          <initializer>= (0x03 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in Clock module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a381517173cfef57e367895000979e1cb" prot="public">
          <name>CYHAL_RSLT_MODULE_COMP</name>
          <initializer>= (0x04 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in comparator module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab957798178a7d11049efcba5bf4887fc" prot="public">
          <name>CYHAL_RSLT_MODULE_CRC</name>
          <initializer>= (0x05 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in crypto CRC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a06cacdcbcf43191ea723f86b18ab68e8" prot="public">
          <name>CYHAL_RSLT_MODULE_DAC</name>
          <initializer>= (0x06 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in DAC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc" prot="public">
          <name>CYHAL_RSLT_MODULE_DMA</name>
          <initializer>= (0x07 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in DMA module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da" prot="public">
          <name>CYHAL_RSLT_MODULE_EZI2C</name>
          <initializer>= (0x08 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in EZI2C module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005adae9f9541be461434c4e2011fe477bc3" prot="public">
          <name>CYHAL_RSLT_MODULE_FLASH</name>
          <initializer>= (0x09 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in flash module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8a22f6926766c2e3e69868ec51c2572b" prot="public">
          <name>CYHAL_RSLT_MODULE_GPIO</name>
          <initializer>= (0x0A &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in GPIO module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607" prot="public">
          <name>CYHAL_RSLT_MODULE_I2C</name>
          <initializer>= (0x0B &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in I2C module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8f3c272518c2a32f2455e34137a5180d" prot="public">
          <name>CYHAL_RSLT_MODULE_I2S</name>
          <initializer>= (0x0C &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in I2S module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab9373b6613ccb00bd4dedab0ae06d11c" prot="public">
          <name>CYHAL_RSLT_MODULE_INTERCONNECT</name>
          <initializer>= (0x0D &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in Interconnect module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a291ed2da7ed5183c3e2164ab8b6a8c3e" prot="public">
          <name>CYHAL_RSLT_MODULE_OPAMP</name>
          <initializer>= (0x0E &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in OpAmp module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a52c9005959fa8236fc262a990d3bd48f" prot="public">
          <name>CYHAL_RSLT_MODULE_PDMPCM</name>
          <initializer>= (0x0F &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in PDM/PCM module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ac0436b7ec40cb5d645207a8bb23c0e0d" prot="public">
          <name>CYHAL_RSLT_MODULE_PWM</name>
          <initializer>= (0x10 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in PWM module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c" prot="public">
          <name>CYHAL_RSLT_MODULE_QSPI</name>
          <initializer>= (0x11 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in QSPI module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4f1d56292f0da9d3cdfa3cea392f304" prot="public">
          <name>CYHAL_RSLT_MODULE_QUADDEC</name>
          <initializer>= (0x12 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in Quadrature Decoder module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a14d37547bcd694a6e968b9acf3eadd7b" prot="public">
          <name>CYHAL_RSLT_MODULE_RTC</name>
          <initializer>= (0x13 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in RTC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a70df074a301b74eb9ebb1f48e65c9377" prot="public">
          <name>CYHAL_RSLT_MODULE_SDHC</name>
          <initializer>= (0x14 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in SDHC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a9b6bd9637f353699d08637ac19f7f6fe" prot="public">
          <name>CYHAL_RSLT_MODULE_SDIO</name>
          <initializer>= (0x15 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in SDIO module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065" prot="public">
          <name>CYHAL_RSLT_MODULE_SPI</name>
          <initializer>= (0x16 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in SPI module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041" prot="public">
          <name>CYHAL_RSLT_MODULE_SYSPM</name>
          <initializer>= (0x17 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in SysPM module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a421e006fc5d9ec6b40ae85276209f526" prot="public">
          <name>CYHAL_RSLT_MODULE_SYSTEM</name>
          <initializer>= (0x18 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in System module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15" prot="public">
          <name>CYHAL_RSLT_MODULE_TIMER</name>
          <initializer>= (0x19 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in Timer module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a9d65008cd494335a5b5decf3533efed2" prot="public">
          <name>CYHAL_RSLT_MODULE_TRNG</name>
          <initializer>= (0x1A &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in RNG module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5" prot="public">
          <name>CYHAL_RSLT_MODULE_UART</name>
          <initializer>= (0x1B &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in UART module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a608cd624d7042ae5d77c6134f7ea382f" prot="public">
          <name>CYHAL_RSLT_MODULE_USB</name>
          <initializer>= (0x1C &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in USB module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a012172915d19c167e1db5ff7e188adba" prot="public">
          <name>CYHAL_RSLT_MODULE_WDT</name>
          <initializer>= (0x1D &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in WDT module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_rslt_module_chip: </bold><linebreak />Enum to specify module IDs for <ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref> values returned from the HAL.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="92" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="61" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="62" />
      </memberdef>
      <memberdef id="group__group__hal__results_1ga6df5063be354515111d4f0b83d6128fc" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_signal_digital_out_t</name>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca77fc0320fd94c1f567d132da16ad6c17" prot="public">
          <name>CYHAL_SIGNAL_DMA_COMPLETE</name>
          <briefdescription>
<para>DMA complete signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca86855c5139f1ea6ac9be84697cb7f90e" prot="public">
          <name>CYHAL_SIGNAL_PWM_OUT</name>
          <briefdescription>
<para>PWM output signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcae87e5c2a20f8964b4f9ac093b1e015b2" prot="public">
          <name>CYHAL_SIGNAL_PWM_OUT_INV</name>
          <briefdescription>
<para>PWM output signal inverted. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcab07be6c470d4f803ff79c9cfd451988f" prot="public">
          <name>CYHAL_SIGNAL_PWM_OVERFLOW</name>
          <briefdescription>
<para>PWM overflow signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca3f85859058fa1d7fcfa1c07a83840d7e" prot="public">
          <name>CYHAL_SIGNAL_PWM_UNDERFLOW</name>
          <briefdescription>
<para>PWM underflow signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca556443e4d7743e14a440132443f3123b" prot="public">
          <name>CYHAL_SIGNAL_PWM_COMPARE</name>
          <briefdescription>
<para>PWM period match signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca821dcc36128ba42217739d4200718d24" prot="public">
          <name>CYHAL_SIGNAL_TIMER_OVERFLOW</name>
          <briefdescription>
<para>Timer overflow signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcac9b5a151b6c7a0c1863adda936a6d64e" prot="public">
          <name>CYHAL_SIGNAL_TIMER_UNDERFLOW</name>
          <briefdescription>
<para>Timer underflow signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca1a4bd1ac07a758ff59a55ed7fd59395a" prot="public">
          <name>CYHAL_SIGNAL_TIMER_CAPTURE</name>
          <briefdescription>
<para>Timer capture match signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca2fb4e32464abcfca83fa33fb1c7a3e40" prot="public">
          <name>CYHAL_SIGNAL_QUADDEC_TC</name>
          <briefdescription>
<para>Quadrature Decoder terminal count signal. High on index event, or when counter reaches min/max value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_signal_digital_out_t: </bold><linebreak />Enum to specify all of the digital output signals supported by different hardware peripherals.</para></briefdescription>
        <detaileddescription>
<para>These can be used as inputs to other peripherals if the selected device has internal routing resources. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="114" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="98" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="99" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HAL specific return codes definitions for all drivers. </para>    </briefdescription>
    <detaileddescription>
<para>HAL drivers are generally built on top of a lower level driver. In this case the errors returned from the HAL could be one of the values below or a value from that lower level driver. See the device specific documentation for details about the other error codes. </para>    </detaileddescription>
  </compounddef>
</doxygen>